-- Ecrire un trigger qui permettra de mettre à jour le nombre de places disponibles pour 
-- un événement à mesure des billets commandés ou supprimés.


CREATE OR REPLACE TRIGGER UPDATE_DISPO AFTER INSERT OR DELETE ON billet FOR EACH ROW

BEGIN
	IF inserting THEN
		UPDATE SEDEROULE
   		SET NBPLACESDISPONIBLES = NBPLACESDISPONIBLES-1
		WHERE EVENEMENT_ID = :NEW.EVENEMENT_ID;
	ELSIF deleting
	THEN
		UPDATE SEDEROULE
   		SET NBPLACESDISPONIBLES = NBPLACESDISPONIBLES+1
		WHERE EVENEMENT_ID = :OLD.EVENEMENT_ID;
  	END IF;
END;